Get a scan
curl --request GET \
--url https://app.ilitylabs.com/v1/scans/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/scans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/scans/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_slug": "<string>",
"scan_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "<string>",
"status": "<string>",
"trigger_source": "<string>",
"triggered_by_user_id": "<string>",
"config_snapshot": {},
"pages_scanned": 123,
"pages_failed": 123,
"issues_found": 123,
"score": 123,
"has_blocking": true,
"error": "<string>",
"cancel_requested_at": "2023-11-07T05:31:56Z",
"pause_requested_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"reason": "<string>"
}Scans
Get a scan
Returns one scan run with its status, page counts, score, and timing. Poll it to follow a scan you started.
GET
/
v1
/
scans
/
{id}
Get a scan
curl --request GET \
--url https://app.ilitylabs.com/v1/scans/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/scans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/scans/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_slug": "<string>",
"scan_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "<string>",
"status": "<string>",
"trigger_source": "<string>",
"triggered_by_user_id": "<string>",
"config_snapshot": {},
"pages_scanned": 123,
"pages_failed": 123,
"issues_found": 123,
"score": 123,
"has_blocking": true,
"error": "<string>",
"cancel_requested_at": "2023-11-07T05:31:56Z",
"pause_requested_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"reason": "<string>"
}Authorizations
Response
OK